cURL
curl "https://api.phrase.com/v2/projects/:project_id/branches/:name" \
-u USERNAME_OR_ACCESS_TOKENphrase branches show \
--project_id <project_id> \
--name <name> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/branches/{name}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/branches/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "new-branch",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"merged_at": "2015-01-28T09:52:53Z",
"merged_by": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "joe.doe",
"name": "Joe Doe"
},
"created_by": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "joe.doe",
"name": "Joe Doe"
},
"state": "success",
"child_branches": [
"feature_2",
"feature_3"
]
}Branches
Get a single branch
Get details on a single branch for a given project.
Requires the Branching feature to be enabled on the account.
GET
/
projects
/
{project_id}
/
branches
/
{name}
cURL
curl "https://api.phrase.com/v2/projects/:project_id/branches/:name" \
-u USERNAME_OR_ACCESS_TOKENphrase branches show \
--project_id <project_id> \
--name <name> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/projects/{project_id}/branches/{name}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/projects/{project_id}/branches/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "new-branch",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"merged_at": "2015-01-28T09:52:53Z",
"merged_by": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "joe.doe",
"name": "Joe Doe"
},
"created_by": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "joe.doe",
"name": "Joe Doe"
},
"state": "success",
"child_branches": [
"feature_2",
"feature_3"
]
}Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Response
OK
Name of the base branch this branch was created from. Only present for branches created with the newer branching system.
Show child attributes
Show child attributes
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "johndoe",
"name": "John Doe",
"gravatar_uid": "205e460b479e2e5b48aec07710c08d50"
}
Show child attributes
Show child attributes
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "johndoe",
"name": "John Doe",
"gravatar_uid": "205e460b479e2e5b48aec07710c08d50"
}
Available options:
creating_branch, merging_branch, syncing_branch, merged, success, branch_error, merge_conflict Was this page helpful?